Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3.text.translate
Class EntityArrays

    java.lang.Object
      org.apache.commons.lang3.text.translate.EntityArrays

    public class EntityArrays

extends Object

Class holding various entity data for HTML and XML - generally for use with the LookupTranslator. All arrays are of length [*][2].

Since:
  3.0
Version:
  $Id: EntityArrays.java 967237 2010-07-23 20:08:57Z mbenson $
Author:
  Apache Software Foundation

Constructor Summary
`EntityArrays()`

Method Summary
`static String[][]` | `APOS_ESCAPE()`
`static String[][]` | `APOS_UNESCAPE()`
`static String[][]` | `BASIC_ESCAPE()`
`static String[][]` | `BASIC_UNESCAPE()`
`static String[][]` | `HTML40_EXTENDED_ESCAPE()`
`static String[][]` | `HTML40_EXTENDED_UNESCAPE()`
`static String[][]` | `invert(String[][] array)` Used to invert an escape array into an unescape array
`static String[][]` | `ISO8859_1_ESCAPE()`
`static String[][]` | `ISO8859_1_UNESCAPE()`
`static String[][]` | `JAVA_CTRL_CHARS_ESCAPE()`
`static String[][]` | `JAVA_CTRL_CHARS_UNESCAPE()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityArrays

    public EntityArrays()

Method Detail

### ISO8859_1_ESCAPE

    public static String[][] ISO8859_1_ESCAPE()

### ISO8859_1_UNESCAPE

    public static String[][] ISO8859_1_UNESCAPE()

### HTML40_EXTENDED_ESCAPE

    public static String[][] HTML40_EXTENDED_ESCAPE()

### HTML40_EXTENDED_UNESCAPE

    public static String[][] HTML40_EXTENDED_UNESCAPE()

### BASIC_ESCAPE

    public static String[][] BASIC_ESCAPE()

### BASIC_UNESCAPE

    public static String[][] BASIC_UNESCAPE()

### APOS_ESCAPE

    public static String[][] APOS_ESCAPE()

### APOS_UNESCAPE

    public static String[][] APOS_UNESCAPE()

### JAVA_CTRL_CHARS_ESCAPE

    public static String[][] JAVA_CTRL_CHARS_ESCAPE()

### JAVA_CTRL_CHARS_UNESCAPE

    public static String[][] JAVA_CTRL_CHARS_UNESCAPE()

### invert

    public static String[][] invert(String[][] array)

  Used to invert an escape array into an unescape array

  Parameters:
    `array` - String[][] to be inverted
  Returns:
    String[][] inverted array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.